org.apache.avro.ipc

## Interface Callback<T>

- All Known Implementing Classes:
    CallFuture, Requestor.TransceiverCallback

      public interface Callback<T>

  Interface for receiving asynchronous callbacks. For each request with an asynchronous callback, either `handleResult(Object)` or `handleError(Throwable)` will be invoked.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleError(Throwable error)` Receives an error.
    `void` | `handleResult(T result)` Receives a callback result.

- - ### Method Detail

    - #### handleResult

          void handleResult(T result)

      Receives a callback result.
      Parameters:
        `result` - the result returned in the callback.

    - #### handleError

          void handleError(Throwable error)

      Receives an error.
      Parameters:
        `error` - the error returned in the callback.

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.